Britive platform release 2026.09.02 is now live in production.

Get a tool by ID

Prev Next
Get
/api/mcp-manager/mcp-servers/{serverId}/tools/{toolId}

Get a tool by ID for a given MCP server. Supported for both OAuth and non-OAuth servers -- read-only, no publishing-ownership concern.

Security
HTTP
Type bearer
Path parameters
serverId
stringRequired
toolId
stringRequired
Responses
200

Tool details

Expand All
object
toolId
string
name
string
description
string
inputSchema
object

JSON Schema object describing the tool's expected input parameters (MCP protocol format).

404

Tool not found